[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#4590: dpkg version compare with epochs is broken



Package: dpkg
Version: 1.4.0

dpkg compares falsely when the implict 0 epoch is made explicit.

$ dpkg --compare-versions '0:2' eq '0:2' ; echo $?
1
$ dpkg --compare-versions '1:2' gt '0:2' ; echo $?
1
$ dpkg --compare-versions '1:2' eq '0:2' ; echo $?
0


Reply to: